Introduction

View a thumbnail with one click...
Process images in only two clicks!

ClickPic is a must have imaging utility for web imaging enthusiasts and professionals. It offers lightening fast thumbnail viewing, resizing, converting and rotating of most common image formats. This is achieved through a windows shell menu interface. After installing ClickPic, simply right click on the image in windows exploring and select the ClickPic menu item. ClickPic creates a new image with the changes in the same directory.

Features

  • One click configurable thumbnail preview. Place in Explorer menu, ClickPic menu, or a submenu.
  • Resize images with high quality or fast resampling algorithms. Perfect for thumbnails
  • Ultra fast and convenient conversions
  • Lossless JPEG rotation
  • Lossless EXIF image orientation correction (for digicams)
  • Process single or multiple images
  • Optionally retains Digital Camera Metedata (EXIF and IPTC)
  • Launch the default image viewer by clicking on the image

Screen Shot

ClickPic Screen Shot

Getting Started

ClickPic is a breeze to use. Follow these very simple steps:

  • Right click on an image in windows exploring
  • Choose the ClickPic menu (notice the preview thumbnail!)
  • Select the menu option Resize, Rotate, or Convert and select the desired option.
  • ClickPic creates the new image in the same directory. It will never overrite and existing image and will add "_(1)" to the end of the file if it's not a unique filename. You can rename the file if you wish right within windows exploring.

Supported Image Formats

ClickPic can read and write the following formats:
JPG, PNG, GIF, BMP, TIFF, PCX, TGA, PSD, WMF/EMF

ClickPic can convert to the following formats:
JPG, PNG, GIF, BMP, TIFF


Resize

Resize

Clickpic offers resizing presets of standard sizes, or a custom size. There are 5 resizing methods to choose from to allow either fast, low quality resampling or slow high quality resampling. This is adjustable in preferences.

Custom Size

Custom size allows images to be sized individually to a specific dimension while maintaining the same proportions (or not if that's what's desired).

If multiple images are selected, then you may select Apply this size to all images. That will apply the custom size to all images. If Maintain Aspect Ratio is selected, it will size each image to the maximum width or height of the specified dimensions.

Resampling Methods

The resizing method can be changed in the preferences menu. This table details each method and it's intended use:
Area Averaging | This applies only to image reductions. It is a fast way to make thumbnails or otherwise reduce image size for relatively high quality. It uses an algorithm that averages a block of nearest pixels.
Nearest Neighbor | Use this algorithm for both reductions and enlargements for ultra fast, but low quality resampling
BiLinear interpolation | Use this algorithm for both reductions and enlargements. This is the preferred method for fast, relatively high quality enlargements
BiCubic interpolation | Similar to BiLinear but slower. It can yield better results depending on the source image
Lanczos | Ultra high quality reductions and enlargements, but at the expense of speed. Creates very professional looking thumbnails, similar in quality to what you might get from a tool like Adobe Photoshop.

Resize Images at Higher Bitdepths

This preference menu setting will force colormapped images to be resized at the higher bitdepth (24 or 32 bit depending if it has transparency info). It allows for high quality resizing, but might result in a the palette colors changing. If this is deselected, the nearest neighbor resampling is always used.

Resize Presets

The context menu standard sizes can be modified in the preferences menu.


Convert

Convert

Clickpic's Convert menu allows simple one click conversion to the 5 most popular formats (JPG, PNG, GIF, BMP, TIFF). The colordepth is either maintained or lowered to the appropriate color depth. For example, converting from a 24-bit PNG to GIF will force the image to be colormapped, thereby reducing the number of colors to 256.

The output image will be written with the standard image extension (ie: image.bmp). If another image exists with the same filename, the characters "_(1)" will be appended to the filename (ie: image_(1).bmp).

The compatible colordepths for each image type are as follows:
BMP | 1-bit, 4-bit, 8-bit, 24-bit
JPG | 8-bit grayscale, 24-bit
GIF | 1-bit through 8-bit
TIFF | 1-bit, 8-bit, 24-bit, 32-bit w/ alpha
PNG | 1-bit, 4-bit, 8-bit, 24-bit


Rotate

Rotate either 90, 180 or 270 degrees (clockwise) or flip with the rotate menu item. If Perform lossless JPG rotation, whenever possible is selected in the preferences menu, all JPG images that can be will be rotated with no recompression. This yields JPEG images that are modified without any loss in quality. Not all JPG images can be rotated losslessly. The rules used to determine if a JPG can be rotated losslessly or not are technical, and depend both on the image dimensions and on various options used by the software that created the original JPG (options that users generally don't have access to).


Preferences

The preferences menu is used to modify settings for each image that is processed with ClickPic. Most of these settings are discussed in the related sections, however the few that are not are discussed here.

JPG compression level is used to specify the amount of compression when saving a JPG image. JPG images are lossy, and therefore lose image data each time they are saved; that is why the compression levels are so good. Choose a higher quality for less noticeable compression effects at the expense of file size. Choose lower quality for smaller file sizes, though with more noticeble compression effects. This doesn't apply to lossless JPG rotations.

Selecting Preserve Image Metadata will preserve all tags and comments that are stored in some image formats. This is most useful for preserving digital camera EXIF information.

Image Preview Location allows the preview thumbnail to be shown in the main explorer menu, the clickpic menu, a submenu, or not shown at all. Turn this setting off for a faster right click menu as it takes a small amount of time to generate these preview images.

Image Preview Size allows the thumbnail preview image to size to be between 20 and 400 pixels in width and height.

For the other settings, see the relavent topics in this help file.


License

Software License Agreement

The following is a legal software license agreement between you, the LICENSEE, and Smaller Animals Software, Inc.. Carefully read this license agreement before using the product. Using the product indicates that you have read this license agreement and agree to its terms. This evaluation version is not free software. All rights and licenses to the evaluation version automatically expire after 30 days, after which you must order the registered version or stop using the software.

Grant of License. This license permits you to use one copy of the software included in this package on any single computer. For each software license, the program can be in use on only one computer at any given time. The software is in use when it is either loaded into RAM or installed into the hard disk or other permanent memory.

Smaller Animals Software, Inc. has acquired a license under US Patent No. 4,558,302 and foreign counterparts from Unysis corporation to include GIF and LZW TIFF read and write support.

You have permission to include and distribute this evaluation version in a commercial Shareware CDROM or other collection, together with other software. If you include it in any such package (Shareware-CDROM or otherwise) please keep us informed.

The software is owned by Smaller Animals Software, Inc. and is protected by United States copyright laws, international treaty provisions, and all other applicable national laws. The software must be treated like all other copyrighted materials (e.g. books and musical recordings).

In no event shall Smaller Animals Software, Inc. be liable for any damages whatsoever (including but not limited to damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) which results from an inability to use this software, even if advised of the possibility of such damages. Because some states/jurisdictions do not allow the exclusion or limitation of consequential or incidental damages, the above limitations may not apply to you.

OTHER RESTRICTIONS. This License Agreement is your proof of license to exercise the rights granted herein and must be retained by you. LICENSEE may not rent or lease the Product. LICENSEE may not reverse engineer, decompile or disassemble the software program except to the extent such foregoing restriction is expressly prohibited by applicable law.

NO WARRANTY. ANY USE BY LICENSEE IS AT THE LICENSEE'S OWN RISK. PRODUCT IS PROVIDED FOR USE ONLY WITH WINDOWS PRODUCTS AND RELATED APPLICATION SOFTWARE AND/OR HARDWARE PRODUCTS. PRODUCT IS PROVIDED FOR USE "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY LAW, SMALLER ANIMALS SOFTWARE, INC. DISCLAIMS ALL WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. SMALLER ANIMALS SOFTWARE, INC. IS NOT OBLIGATED TO PROVIDE ANY UPDATES TO THE PRODUCT.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. In no event shall Smaller Animals Software, Inc. be liable for any damages whatsoever (including, without limitation, incidental, direct, indirect and consequential damages, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of the use or inability to use this product, even if advised of the possibility of such damages. Because some states/countries do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you. Manufacturer is Smaller Animals Software, Inc., .


About

About Us

ClickPic is a product of Smaller Animals Software, Inc.. Visit our web sites for information on other useful imaging products.

Smaller Animals Software, Inc.
www.smalleranimals.com Please contact Smaller Animals Software, Inc. for support and registration information.